**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/documents/document-attachments/retrieve-document-version-attachment-versions.md

# Retrieve Document Version Attachment Versions



Retrieve all versions of an attachment on a specific document version.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/attachments/{attachment_id}/versions" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
| `{attachment_id}` | The `id` of the document attachment to retrieve. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/objects/documents/17/versions/0/1/attachments/39/versions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "version__v": 1,
            "url": "https://myvault.veevavault.com/api/v25.2/objects/documents/17/versions/0/1/attachments/2901/versions/1"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response lists the following metadata for each version of the requested attachment:

<FieldTable>
| Metadata Field | Description |
| --- | --- |
| `version__v` | Version of the attachment. Attachment versioning uses integer numbers beginning with 1 and incrementing sequentially (1, 2, 3,...). There is no concept of major or minor version numbers with attachments. |
| `url` | Link to the [Retrieve Document Version Attachment Version Metadata](/vault-api/api-reference/26.1/documents/document-attachments/retrieve-document-version-attachment-version-metadata) endpoint to retrieve this attachment version. |
</FieldTable>

---

**Previous:** [Retrieve Document Attachment Versions](/vault-api/api-reference/26.1/documents/document-attachments/retrieve-document-attachment-versions)  
**Next:** [Retrieve Document Version Attachment Version Metadata](/vault-api/api-reference/26.1/documents/document-attachments/retrieve-document-version-attachment-version-metadata)